// file: $isip/class/search/HierarchicalDigraph/hd_01.cc
//

// isip include files
//
#include <Console.h>
#include "HierarchicalDigraph.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean HierarchicalDigraph::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);

  // display debug message for Vector class
  //
  Vector<SearchLevel>::debug(L"Vector<SearchLevel>");

  // exit gracefully
  //
  return true;
}
